JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
RelativeCoordinate::StandardStrings Struct Reference
juce_gui_basics » positioning

`#include <juce_RelativeCoordinate.h>`

## Public Types
enum | Type { left , right , top , bottom , x , y , width , height , parent , unknown }

## Static Public Member Functions
static Type | getTypeOf (const String &s) noexcept

## Member Enumeration Documentation

## ◆ Type

enum RelativeCoordinate::StandardStrings::Type

Enumerator
left |
right |
top |
bottom |
x |
y |
width |
height |
parent |
unknown |

## Member Function Documentation

## ◆ getTypeOf()

static Type RelativeCoordinate::StandardStrings::getTypeOf | ( | const String & | s | ) |
| static noexcept

The documentation for this struct was generated from the following file:

- juce_RelativeCoordinate.h